com.fasterxml.jackson.databind.ser

## Class DefaultSerializerProvider.Impl

- java.lang.Object
- - com.fasterxml.jackson.databind.DatabindContext
  - - com.fasterxml.jackson.databind.SerializerProvider
    - - com.fasterxml.jackson.databind.ser.DefaultSerializerProvider
      - - com.fasterxml.jackson.databind.ser.DefaultSerializerProvider.Impl

All Implemented Interfaces:
  Serializable

Enclosing class:
  DefaultSerializerProvider

    public static final class DefaultSerializerProvider.Impl
    extends DefaultSerializerProvider

Concrete implementation that defines factory method(s), defined as final.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ser.DefaultSerializerProvider

`DefaultSerializerProvider.Impl`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ser.DefaultSerializerProvider

`_generator, _objectIdGenerators, _seenObjectIds`

### Fields inherited from class com.fasterxml.jackson.databind.SerializerProvider

`_attributes, _config, _dateFormat, _keySerializer, _knownSerializers, _nullKeySerializer, _nullValueSerializer, _serializationView, _serializerCache, _serializerFactory, _stdNullValueSerializer, _unknownTypeSerializer, CACHE_UNKNOWN_MAPPINGS, DEFAULT_NULL_KEY_SERIALIZER, DEFAULT_UNKNOWN_SERIALIZER`

### Constructor Summary

Constructors
`` `Impl()`
`` `Impl(DefaultSerializerProvider.Impl src)`
`protected` `Impl(SerializerProvider src, SerializationConfig config, SerializerFactory f)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DefaultSerializerProvider` `copy()` Method needed to ensure that `ObjectMapper.copy()` will work properly; specifically, that caches are cleared, but settings will otherwise remain identical; and that no sharing of state occurs.
`DefaultSerializerProvider.Impl` `createInstance(SerializationConfig config, SerializerFactory jsf)` Method that sub-classes need to implement: used to create a non-blueprint instances from the blueprint.

### Methods inherited from class com.fasterxml.jackson.databind.ser.DefaultSerializerProvider

`_createObjectIdMap, _serializeNull, acceptJsonFormatVisitor, cachedSerializersCount, findObjectId, flushCachedSerializers, generateJsonSchema, getGenerator, hasSerializerFor, includeFilterInstance, includeFilterSuppressNulls, serializePolymorphic, serializerInstance, serializeValue, serializeValue, serializeValue`

### Methods inherited from class com.fasterxml.jackson.databind.SerializerProvider

`_createAndCacheUntypedSerializer, _createAndCacheUntypedSerializer, _createUntypedSerializer, _dateFormat, _findExplicitUntypedSerializer, _handleContextualResolvable, _handleResolvable, _reportIncompatibleRootType, canOverrideAccessModifiers, defaultSerializeDateKey, defaultSerializeDateKey, defaultSerializeDateValue, defaultSerializeDateValue, defaultSerializeField, defaultSerializeNull, defaultSerializeValue, findContentValueSerializer, findContentValueSerializer, findKeySerializer, findKeySerializer, findNullKeySerializer, findNullValueSerializer, findPrimaryPropertySerializer, findPrimaryPropertySerializer, findTypedValueSerializer, findTypedValueSerializer, findTypeSerializer, findValueSerializer, findValueSerializer, findValueSerializer, findValueSerializer, getActiveView, getAnnotationIntrospector, getAttribute, getConfig, getDefaultNullKeySerializer, getDefaultNullValueSerializer, getDefaultPropertyFormat, getDefaultPropertyInclusion, getFilterProvider, getLocale, getSerializationView, getTimeZone, getTypeFactory, getUnknownTypeSerializer, handlePrimaryContextualization, handleSecondaryContextualization, hasSerializationFeatures, invalidTypeIdException, isEnabled, isEnabled, isUnknownTypeSerializer, mappingException, mappingException, reportBadDefinition, reportBadDefinition, reportBadDefinition, reportBadPropertyDefinition, reportBadTypeDefinition, reportMappingProblem, reportMappingProblem, setAttribute, setDefaultKeySerializer, setNullKeySerializer, setNullValueSerializer`

### Methods inherited from class com.fasterxml.jackson.databind.DatabindContext

`_colonConcat, _desc, _format, _quotedString, _throwNotASubtype, _throwSubtypeClassNotAllowed, _throwSubtypeNameNotAllowed, _truncate, constructSpecializedType, constructType, converterInstance, objectIdGeneratorInstance, objectIdResolverInstance, reportBadDefinition, resolveAndValidateSubType, resolveSubType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Impl

    public Impl()

#### Impl

    public Impl(DefaultSerializerProvider.Impl src)

#### Impl

    protected Impl(SerializerProvider src,
                   SerializationConfig config,
                   SerializerFactory f)

### Method Detail

#### copy

    public DefaultSerializerProvider copy()

Description copied from class: `DefaultSerializerProvider`
Method needed to ensure that `ObjectMapper.copy()` will work properly; specifically, that caches are cleared, but settings will otherwise remain identical; and that no sharing of state occurs.

Overrides:
  `copy` in class `DefaultSerializerProvider`

#### createInstance

    public DefaultSerializerProvider.Impl createInstance(SerializationConfig config,
                                                         SerializerFactory jsf)

Description copied from class: `DefaultSerializerProvider`
Method that sub-classes need to implement: used to create a non-blueprint instances from the blueprint. This is needed to retain state during serialization.

Specified by:
  `createInstance` in class `DefaultSerializerProvider`